summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames <james.mckenzie@citrix.com>2012-11-17 12:10:37 +0000
committerJames <james.mckenzie@citrix.com>2012-11-17 12:10:37 +0000
commit107a9ea7202c1d005ac89bdd311a4ea5971e7db0 (patch)
tree7384a7a2d9f330ef3b91e1e39953aee186b4a9b7
downloadefi-grub2-bis-107a9ea7202c1d005ac89bdd311a4ea5971e7db0.tar.gz
efi-grub2-bis-107a9ea7202c1d005ac89bdd311a4ea5971e7db0.tar.bz2
efi-grub2-bis-107a9ea7202c1d005ac89bdd311a4ea5971e7db0.zip
fish
-rwxr-xr-xrun_me84
1 files changed, 84 insertions, 0 deletions
diff --git a/run_me b/run_me
new file mode 100755
index 0000000..c116751
--- /dev/null
+++ b/run_me
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+set -e
+set -x
+
+S=grub-1.99
+
+MODS="hfsplus fat ext2 normal chain configfile reboot linux minicmd part_gpt part_msdos efi_gop efi_uga iso9660 ls tftp gfxterm gfxmenu"
+
+if [ ! -d ${S} ]; then
+ git clone git://git.mythic-beasts.com/mac-mini-grub/${S}.git
+fi
+
+if [ ! -d ${S}-pq ]; then
+ git clone git://git.mythic-beasts.com/mac-mini-grub/${S}-pq.git
+fi
+
+
+if [ ! -d ${S}/.git/patches ]; then
+ ln -sf ../../${S}-pq ${S}/.git/patches
+fi
+
+
+(cd ${S} && guilt refresh || true)
+(cd ${S} && guilt push -a)
+
+if [ ! -f ${S}/configure ]; then
+ (cd ${S} && sh autogen.sh )
+fi
+
+D=${PWD}
+
+rm -rf dest
+mkdir -p dest
+
+for A in x86_64 i386; do
+
+P=${D}/prefix_${A}
+B=${D}/build_${A}
+DO=${D}/dest/${A}
+
+mkdir -p ${B} ${P} ${P}/bin ${P}/sbin ${P}/lib
+
+if [ ! -f $B/Makefile ]; then
+ (cd $B && TARGET_CC=gcc CC=gcc $D/${S}/configure --prefix=${P} --with-platform=efi --target=${A} )
+fi
+
+
+make -C ${B}
+
+mkdir -p ${DO}
+mkdir -p ${DO}/grub
+
+if false; then
+ make -C ${B} install
+ ${P}/bin/${A}-grub-mkimage -O ${A}-efi -o ${DO}/grub.efi ${MODS}
+
+ for i in ${P}/lib/${A}-grub/${A}-efi/*; do
+ install -m 644 $i ${DO}/grub/
+ done
+else
+
+ (cd ${B} && ./grub-mkimage -d grub-core -O ${A}-efi -o ${DO}/grub.efi ${MODS} )
+
+ set +x
+
+ for i in command.lst moddep.lst terminal.lst crypto.lst partmap.lst video.lst fs.lst parttool.lst ; do
+ install -m 644 ${B}/grub-core/$i ${DO}/grub/
+ done
+
+ install -m 644 ${B}/grub-core/*.mod ${DO}/grub/
+ set -x
+
+fi
+
+
+
+
+done
+
+
+
+
+